<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"  
	xmlns:rdxdmd="http://www.RDXDMD.com/XMLSchema-instance"
	xmlns:oai_dc="http://openarchives.org/OAI/2.0/oai_dc/" 
	xmlns:dc="http://purl.org/dc/elements/1.1"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/oai_dc/ http://www.openarchives.org/OAI/2.0/oai_dc.xsd"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="rdxdmd">
	<xsl:output method="xml" indent="yes" />
	
	<xsl:template match="/">
		<oai_dc:dc 
			xmlns:oai_dc="http://openarchives.org/OAI/2.0/oai_dc/" 
			xmlns:dc="http://purl.org/dc/elements/1.1"
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
			xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/oai_dc/ http://www.openarchives.org/OAI/2.0/oai_dc.xsd">
			
			<xsl:call-template name="title" />
			<xsl:call-template name="source" />
			<xsl:call-template name="description" />
			<xsl:call-template name="language" />
			<xsl:call-template name="right" />
			<xsl:call-template name="subject" />
			<xsl:call-template name="creator" />
			<xsl:call-template name="identifier" />
			<xsl:call-template name="coverage" />
		</oai_dc:dc>
	</xsl:template>
	
	<xsl:template name="identifier">
		<xsl:for-each select="rdxdmd:RDXDmd/rdxdmd:resourceIdentifier">
			<dc:identifier><xsl:value-of select="." /></dc:identifier>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="creator">
		<xsl:for-each select="rdxdmd:RDXDmd/rdxdmd:creator">
			<dc:creator><xsl:value-of select="." /></dc:creator>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="title">
		<xsl:for-each select="rdxdmd:RDXDmd/rdxdmd:title">
			<dc:title><xsl:value-of select="." /></dc:title>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="description">
		<xsl:for-each select="rdxdmd:RDXDmd/rdxdmd:description">
			<dc:description><xsl:value-of select="." /></dc:description>
		</xsl:for-each>
	</xsl:template>		
	
	<xsl:template name="subject">
		<xsl:for-each select="rdxdmd:RDXDmd/rdxdmd:subject">
			<dc:subject><xsl:value-of select="." /></dc:subject>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="language">
		<dc:language><xsl:value-of select="rdxdmd:RDXDmd/rdxdmd:language" /></dc:language>
	</xsl:template>
	
	<xsl:template name="source">
		<xsl:for-each select="rdxdmd:RDXDmd/rdxdmd:source">
			<dc:source><xsl:value-of select="@sourcePublicationPlace" /> : <xsl:value-of select="@sourceSerialSetVolumeAndPublicationNumber" />, <xsl:value-of select="substring(@sourcePublicationDate, 1,4)" />.</dc:source>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="right">
		<xsl:for-each select="rdxdmd:RDXDmd/rdxdmd:rightsStatement">
			<dc:rights><xsl:value-of select="." /></dc:rights>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="coverage">
		<xsl:for-each select="rdxdmd:RDXDmd/rdxdmd:coverage">
			<dc:coverage><xsl:value-of select="." /></dc:coverage>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>